%define tarname	EnvisagePlugins
%define name	python-enthought-envisageplugins
%define version	3.2.0
%define release %mkrel 1

%define epoch	1

Summary:	Enthought Tool Suite - EnvisagePlugins project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Source0:	%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/envisage_plugins.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	python-enthought-envisagecore >= %{epoch}:3.2.0
BuildRequires:	python-setupdocs >= 1.0.5
BuildRequires:	python-setuptools >= 0.6c8
%py_requires -d

%description
The EnvisagePlugins project includes a number of plug-ins for the
Envisage framework that we have found useful for building scientific
applications. Envisage does not require that you use these plug-ins,
but you may find them useful to avoid having to reinvent these
particular wheels.

* Workbench: Provides an application GUI window that supports views and 
  perspectives, similar to the Eclipse IDE.
* Action: Supports user-interaction command mechanisms, such as toolbars, 
  menus, and buttons.
* Single Project: Supports a project paradigm for saving application data, 
  assuming an interaction model in which only one project can be open in 
  the application at a time.
* Text Editor: Provides a rudimentary text editor interface.
* Python Shell: Provides an interactive Python shell within a Workbench-based 
  application.
* Debug: Provides the Frame Based Inspector from the Developer Tools project 
  as an Envisage plug-in.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}

PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt examples/ 



%changelog
* Fri Feb 04 2011 Lev Givon <lev@mandriva.org> 1:3.2.0-1
+ Revision: 635895
- Update to 3.2.0.

* Sun Nov 07 2010 Funda Wang <fwang@mandriva.org> 1:3.1.3-2mdv2011.0
+ Revision: 594426
- rebuild for py 2.7

* Sun Oct 17 2010 Lev Givon <lev@mandriva.org> 1:3.1.3-1mdv2011.0
+ Revision: 586479
- Update to 3.1.3.

* Fri May 28 2010 Lev Givon <lev@mandriva.org> 1:3.1.2-2mdv2011.0
+ Revision: 546525
- Rebuild.

* Fri Feb 26 2010 Lev Givon <lev@mandriva.org> 1:3.1.2-1mdv2010.1
+ Revision: 512034
- Update to 3.1.2.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 1:3.1.1-2mdv2010.0
+ Revision: 419290
- Add epoch to permit backport and facilitate update from 2009.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 3.1.1-1mdv2010.0
+ Revision: 419036
- Update to 3.1.1.

* Fri Apr 03 2009 Lev Givon <lev@mandriva.org> 3.1.0-1mdv2010.0
+ Revision: 363866
- Update to 3.1.0.

* Thu Mar 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.1.0-1mdv2009.1
+ Revision: 358071
- Update to latest svn and rebuild.

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 3.0.1-2mdv2009.1
+ Revision: 323679
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 313514
- Update to 3.0.1.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 298913
- import python-enthought-envisageplugins


